#!/usr/bin/env python

import os

from setuptools import setup

dir_path = os.path.dirname(os.path.realpath(__file__))
version_file = open(os.path.join(dir_path, 'VERSION'))
version = version_file.read().strip()

with open("README.md", "r") as fh:
    long_description = fh.read()

setup(name='mango-cf',
      version=version,
      author='Kodexa',
      description='Mango Content Framework',
      author_email='support@kodexa.io',
      long_description=long_description,
      long_description_content_type="text/markdown",
      url='https://www.github.com/kodexa-ai/mango-cf',
      packages=['mango', 'mango.connectors', 'mango.mixins', 'mango.sinks', 'mango.pipeline',
                'mango.stores', 'mango.model', 'mango.extractors', 'mango.steps', 'mango.kodexa'],
      install_requires=[
          'attrdict',
          'requests'
      ],
      setup_requires=["pytest-runner"],
      tests_require=["pytest"])
